package com.fjhx.oa.controller.user;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.user.dto.UserSalaryDto;
import com.fjhx.oa.entity.user.dto.UserSalarySelectDto;
import com.fjhx.oa.entity.user.vo.UserSalaryVo;
import com.fjhx.oa.service.user.UserSalaryService;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import javax.annotation.Resource;
import java.util.List;


/**
 * <p>
 * 用户薪资 前端控制器
 * </p>
 *
 * @author
 * @since 2024-06-18
 */
@RestController
@RequestMapping("/userSalaryManage")
public class UserSalaryController {

    @Resource
    private UserSalaryService userSalaryService;

    /**
     * 员工薪资管理分页
     */
    @PostMapping("/page")
    public Page<UserSalaryVo> page(@RequestBody UserSalarySelectDto dto) {
        return userSalaryService.getPage(dto);
    }

    /**
     * 员工薪资管理明细
     */
    @PostMapping("/detail")
    public UserSalaryVo detail(@RequestBody UserSalaryDto dto) {
        return userSalaryService.detail(dto.getUserId());
    }

    /**
     * 员工薪资管理新增
     */
    @PostMapping("/edit")
    public void edit(@RequestBody UserSalaryDto userSalaryManageDto) {
        userSalaryService.edit(userSalaryManageDto);
    }


    /**
     * 获取历史版本结构
     */
    @PostMapping("/getHistoryVerList")
    List<UserSalaryVo> getHistoryVerList(@RequestBody UserSalaryDto dto) {
        return userSalaryService.getHistoryVerList(dto.getUserId());
    }

}
