package com.fjhx.oa.service.adjust.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.fjhx.oa.entity.adjust.po.AdjustSalaryDetail;
import com.fjhx.oa.entity.adjust.vo.AdjustSalaryDetailVo;
import com.fjhx.oa.mapper.adjust.AdjustSalaryDetailMapper;
import com.fjhx.oa.service.adjust.AdjustSalaryDetailService;
import com.fjhx.oa.service.salary.SalaryStructureService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;
import java.util.function.Consumer;


/**
 * <p>
 * 调薪明细 服务实现类
 * </p>
 *
 * @author
 * @since 2024-06-20
 */
@Service
public class AdjustSalaryDetailServiceImpl extends ServiceImpl<AdjustSalaryDetailMapper, AdjustSalaryDetail> implements AdjustSalaryDetailService {
    @Resource
    private SalaryStructureService salaryStructureService;

    @Override
    public List<AdjustSalaryDetailVo> getList(Consumer<LambdaQueryWrapper<AdjustSalaryDetail>> consumer) {
        List<AdjustSalaryDetailVo> list = BeanUtil.copyToList(this.list(consumer), AdjustSalaryDetailVo.class);
        salaryStructureService.attributeAssign(list, AdjustSalaryDetailVo::getAdjustSalaryId, (item, salaryStructure) -> {
            item.setSalaryStructureName(salaryStructure.getName());
        });
        return list;
    }
}
