package com.fjhx.oa.service.user;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.user.dto.UserSalaryDto;
import com.fjhx.oa.entity.user.dto.UserSalarySelectDto;
import com.fjhx.oa.entity.user.po.UserSalary;
import com.fjhx.oa.entity.user.vo.UserSalaryVo;
import com.ruoyi.common.core.service.BaseService;

import java.util.List;
import java.util.function.Consumer;


/**
 * <p>
 * 用户薪资 服务类
 * </p>
 *
 * @author
 * @since 2024-06-18
 */
public interface UserSalaryService extends BaseService<UserSalary> {

    /**
     * 用户薪资分页
     */
    Page<UserSalaryVo> getPage(UserSalarySelectDto dto);

    List<UserSalaryVo> getList(Consumer<LambdaQueryWrapper<UserSalary>> consumer);

    /**
     * 用户薪资明细
     */
    UserSalaryVo detail(Long id);

    /**
     * 员工薪资管理编辑
     */
    void edit(UserSalaryDto dto);

    /**
     * 获取历史版本结构
     */
    List<UserSalaryVo> getHistoryVerList(Long userId);
}
